All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
cached-function.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <map>`
`#include <boost/shared_ptr.hpp>`
`#include <roboptim/core/n-times-derivable-function.hh>`
`#include <roboptim/core/filter/cached-function.hxx>`

## Classes

struct | roboptim::detail::ltvector
class | roboptim::CachedFunction< T >
| Store previous function computation. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.
| roboptim::detail